Subject: Re: [PATCH] Document that "git add" only adds non-ignored files.

From: Santi <[email-masked]>
Date: Sat, 20 May 2006 11:54:07 +0200

2006/5/19, Junio C Hamano <[email-masked]>:
> Thanks for the reminder, but I wonder if it is good to update
> the description of this command, and ls-files to use the
> same wording for consistency.  We seem to use <pathspec> to mean
> "this is not necessarily a filename -- we glob", so that may be
> a good candidate (we do not have <pathspec> in glossary yet --
> we would need to add).

I changed it to match with the new usage string in the buildin-add.c.

>
> Please don't touch description for diff-* family -- right now,
> they say <path>, because they do not glob.  If we decide that it
> is a good idea to glob (which I suspect we don't for the
> low-level stuff, but we probably do for the "git-diff" wrapper),
> we would update the code and the description at the same time.
>

OK.

Santi